import request from '@/config/axios'

// 数据集管理 VO
export interface DatasVO {
  id: number // id
  name: string // 项目名称
  description: string // 描述
  status: string // 类型，还未标注，正在标注，正在训练，训练完成
  path: string // 路径
  count: number // 图片总数
  type: string // 识别类型
  progress: number // 进度
}

// 数据集管理 API
export const DatasApi = {
  // 查询数据集管理分页
  getDatasPage: async (params: any) => {
    return await request.get({ url: `/annotation/datas/page`, params })
  },
  refreshDatas: async (id: number) => {
    return await request.get({ url: `/annotation/datas/refreshDatas?id=` + id })
  },

  // 查询数据集管理详情
  getDatas: async (id: number) => {
    return await request.get({ url: `/annotation/datas/get?id=` + id })
  },

  // 新增数据集管理
  createDatas: async (data: DatasVO) => {
    return await request.post({ url: `/annotation/datas/create`, data })
  },

  // 修改数据集管理
  updateDatas: async (data: DatasVO) => {
    return await request.put({ url: `/annotation/datas/update`, data })
  },
// 在 DatasApi 中添加增强方法（示例）
 enhanceImages(data: { id: number; enhancements: string[] }): Promise<void> {
  
  return request.post({
    url: `/annotation/datas/enhance`,
    data: {
      id:data.id,
      enhancements: data.enhancements
    }
  })
},
  // 删除数据集管理
  deleteDatas: async (id: number) => {
    return await request.delete({ url: `/annotation/datas/delete?id=` + id })
  },

  // 导出数据集管理 Excel
  exportDatas: async (params) => {
    return await request.download({ url: `/annotation/datas/export-excel`, params })
  },
}
